package com.qmth.teachcloud.mark.dto.mark.manage;

import java.util.List;

public class MarkGroupSummaryProgressDto {

    private Boolean openMarkClass;
    private MarkGroupTotalProgressDto totalInfo;
    private List<MarkGroupClassProgressDto> classInfo;
    private List<MarkGroupProgressDto> groupInfo;

    public Boolean getOpenMarkClass() {
        return openMarkClass;
    }

    public void setOpenMarkClass(Boolean openMarkClass) {
        this.openMarkClass = openMarkClass;
    }

    public MarkGroupTotalProgressDto getTotalInfo() {
        return totalInfo;
    }

    public void setTotalInfo(MarkGroupTotalProgressDto totalInfo) {
        this.totalInfo = totalInfo;
    }

    public List<MarkGroupClassProgressDto> getClassInfo() {
        return classInfo;
    }

    public void setClassInfo(List<MarkGroupClassProgressDto> classInfo) {
        this.classInfo = classInfo;
    }

    public List<MarkGroupProgressDto> getGroupInfo() {
        return groupInfo;
    }

    public void setGroupInfo(List<MarkGroupProgressDto> groupInfo) {
        this.groupInfo = groupInfo;
    }
}
